// cPlayerInfo.h: interface for the cPlayerInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CPLAYERINFO_H__46BE66C9_ABD6_11D2_9121_7C2706C10000__INCLUDED_)
#define AFX_CPLAYERINFO_H__46BE66C9_ABD6_11D2_9121_7C2706C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "cRecorder.h"

class cPlayerInfo : public cRecorder{
private:
	char Name[12];
	char Password[12]; // 최소 8문자 최대 8문자까지를 검사함
protected:

public:
	cPlayerInfo();
	virtual ~cPlayerInfo();

	virtual bool Load(FILE *fp);
	virtual bool Save(FILE *fp);

	bool SetName(char *pName);
	bool SetPassword(char *pPassword);
	char *GetName(){ return Name; }
	char *GetPassword(){ return Password; }
	bool IsSameName(char *p);
	bool IsSamePassword(char *p); 

};

#endif // !defined(AFX_CPLAYERINFO_H__46BE66C9_ABD6_11D2_9121_7C2706C10000__INCLUDED_)
